bugzilla.mozilla.org has resumed normal operation. Attachments prior to 2014 will be unavailable for a few days. This is tracked in Bug 1475801.
Please report any other irregularities here.

Picture folder change too often

RESOLVED FIXED in 2.6 S2 - 12/4

Status

Firefox OS
Gaia::Camera
RESOLVED FIXED
3 years ago
3 years ago

People

(Reporter: hub, Assigned: hub)

Tracking

({foxfood})

unspecified
2.6 S2 - 12/4
ARM
Gonk (Firefox OS)
foxfood

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment, 1 obsolete attachment)

(Assignee)

Description

3 years ago
There are report that the picture folder inside DCIM/ changes too often. It shouldn't.

Don't have STR but we need to figure this out.

(foxfooding mailing list)
(Assignee)

Updated

3 years ago
Keywords: foxfood
(Assignee)

Updated

3 years ago
Blocks: 1179570
(Assignee)

Updated

3 years ago
Blocks: 1192154
+1. I just downloaded photos from the past few weeks, and to give you a sense of the magnitude of this problem, 3 of the days were split among more than 2 folders...All times listed are Eastern US.

Here are the folders I have:
101MZLLA - 1 photo from 6/29/2015.

102MZLLA - pics from 7/16/2015 11:04:32 am through 7/25/2015, starting with IMG_0064.jpg, through IMG_0109.jpg, plus 2 videos (VID004.3gp, VID0123.3gp)

103MZLLA - pics from 7/26/2015 2:48:33 pm through 8/1/2015 3:28:04 pm, starting with IMG_0028.jpg through IMG_0055.jpg.

I will note that on 8/1 I took a lot of pictures - was at my brother's, no wifi, so I definitely didn't do any updates. From this folder, on 8/1, the last 11 pics - IMG_0045.jpg through IMG_0055.jpg

104MZLLA - all pics from 8/1, 4:20:00 pm through 6:17:53 pm, IMG_0001.jpg through IMG_0006.jpg

105MZLLA - pics from 8/1 6:39:05 pm through 8/3/2015 7:07:36 pm,  IMG_0001.jpg through IMG_0015.jpg

Note that as of this point, pics from 8/1 are in *3* different folders.

On 8/3 in the evening I was at a memorial service, so I definitely wasn't doing any updates.

106MZLLA - pics from 8/3/2015 7:09:44 PM (note that this is *2 minutes* after the last pic in the previous folder) through 8/9/2015, 12:20:53 pm, IMG_0001.jpg through IMG_0040.jpg. Videos: VID_0028.3pg through VID_0035.3gp

Note: on 8/9 I went to an amusement park and took lots of photos. Definitely no software updates that day!

107MZLLA - pics from 8/9/2015 12:30:56 pm (10 mins after previous pic/folder) through 8/9/2015 12:57:01 PM, IMG_0001.jpg through IMG_0012.jpg

108MZLLA - pics from 8/9/2015 12:58:34 pm - this is *35 seconds* after the previous pic/folder - through 8/9/2015 1:20:47 pm, IMG_0001.jpg through IMG_0013.jpg, plus 2 videos, VID_0009.3gp and VID_0011.3gp

My 8/9 pics are spread out among 4 folders - 106MZLLA,107MZLLA,108MZLLA,109MZLLA

109MZLLA - pics from 8/9/2015, 1:22:29 pm through 8/11/2015, 10:23:11 pm, IMG_0001.jpg through IMG_0020.jpg, 2 videos - VID_0008.3gp and VID_0018.3gp


Switching folders looks random to me, but I'm willing to do some testing, like take some pics, then go to the gallery and delete some, then take more pics, or take pics, restart phone, take more pics....or whatever possible might be causing this behavior. The switch from 107MZLLA to 108MZLLA is really tough, though, there was a 35 second gap, and the 2 pics are in the same place, just different subjects (my husband hula-hooping vs. my brother-in-law hula hooping).
Created attachment 8650249 [details] [review]
[gaia] hfiguiere:bug1192171-dcf-fixes > mozilla-b2g:master
(Assignee)

Updated

3 years ago
Assignee: nobody → hub
Status: NEW → ASSIGNED
(Assignee)

Comment 3

3 years ago
To reproduce:

Set a lock screen with PIN on the phone.
-Take pictures normally starting the camera from the home screen.
-When still in the camera app, switch the screen off
-Switch it back on. Open the camera from the lock screen. Take some pictures.
-Unlock the phone.
-Start the camera from the home screen if needed. Take some pictures.


These last pictures will be in a new folder.

I think I have a simple patch for this.
Created attachment 8691217 [details] [review]
[gaia] hfiguiere:bug1192171-camera-folders > mozilla-b2g:master
(Assignee)

Updated

3 years ago
Attachment #8650249 - Attachment is obsolete: true
(Assignee)

Comment 5

3 years ago
Comment on attachment 8691217 [details] [review]
[gaia] hfiguiere:bug1192171-camera-folders > mozilla-b2g:master

Andrew,

If you think it is the wrong approach, let me now.
Attachment #8691217 - Flags: review?(aosmond)
(Assignee)

Updated

3 years ago
No longer blocks: 1192154
Comment on attachment 8691217 [details] [review]
[gaia] hfiguiere:bug1192171-camera-folders > mozilla-b2g:master

So opening from the lockscreen spawned a new process which used the sequencing where we left off (as we save to the DB each time), but when we reopen the original process, it still has the old values? Ugh.

LGTM.
Attachment #8691217 - Flags: review?(aosmond) → review+
(Assignee)

Comment 7

3 years ago
Merged
https://github.com/mozilla-b2g/gaia/commit/f8d435f9366f1bcd1ec90a17f1766d34c5a4b04b
Status: ASSIGNED → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
Target Milestone: --- → 2.6 S2 - 12/4
(Assignee)

Comment 8

3 years ago
The fix is available in the latest foxfood OTA.
You need to log in before you can comment on or make changes to this bug.